Get transactions
curl --request GET \
--url https://api.onsleek.ai/v1/deals/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onsleek.ai/v1/deals/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onsleek.ai/v1/deals/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "4812f869-dd9a-48e2-8dae-1658cb4569bf",
"country": "US",
"activatedAt": "2021-09-01T12:00:00.000Z",
"clickedAt": "2021-09-01T12:00:00.000Z",
"soldAt": "2021-09-01T12:00:00.000Z",
"updatedAt": "2021-09-01T12:00:00.000Z",
"currencyCode": "USD",
"orderValue": 112.45,
"cashback": 23.14,
"status": "CONFIRMED",
"passbackUid": "your_uid_here",
"retailerId": "b1a2c3d4-e5f6-7g8h-9i0j-k1l2m3n4o5p6",
"retailerName": "Retailer Name",
"retailerLogo": "https://example.com/logo.png",
"payoutId": 12345,
"passbackData": "your_data_here",
"cashbackOfferId": "10c39198-ce3f-45ea-a7ae-fab4a2ba936a",
"couponId": "ad2b56ad-3f14-4587-9d2d-88612479e30f",
"promotionId": "efe308d6-63c7-472e-ac8d-5f722322052b"
}
],
"cursor": "<string>"
}Transactions
Get transactions
Fetch all transactions for your organization.
GET
/
v1
/
deals
/
transactions
Get transactions
Authorizations
API key for accessing the Sleek API.
Query Parameters
The ID of the next item that will be fetched. Format: UUID RFC 4122
Filter for transactions that were updated before this date time. Format: ISO 8601
Filter for transactions that were updated after this date time. Format: ISO 8601
⌘I

